%define enable_kde4 0
%{?_with_kde4c: %{expand: %%global enable_kde4 1}}

Name: 	 	libopensync-plugin-kdepim
Version: 	0.22
Epoch:		1
Release: 	%mkrel 4
Summary: 	KDE plugin for OpenSync synchronization tool
URL:		http://www.opensync.org
Source:		http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libopensync-plugin-kdepim-0.22-kde4.patch
License:	GPLv2
Group:		Office
BuildRequires:	libopensync-devel < 0.30
%if %{enable_kde4}
BuildRequires:	kdepimlibs4-devel
BuildRequires:	openldap-devel
%else
BuildRequires:	kdepim-devel >= 1:3.5.9-7
BuildRequires:  qt3-devel
%endif
Requires:	libopensync >= %{epoch}:%{version}
Obsoletes:	multisync-kdepim
Provides:	multisync-kdepim
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This plugin allows applications using OpenSync to synchronise to and from
KDE.

%prep
%setup -q
%if %{enable_kde4}
%patch0 -p1 -b .kdepim4
autoreconf -i
%endif
%build
%if %{enable_kde4}
%configure2_5x \
    --with-qt-dir=%{qt4dir} \
    --with-qt-libraries=%{qt4lib} \
    --enable-libsuffix=`echo %_lib | sed '/lib//'` \
    --disable-rpath
%else
%configure_kde3 \
    --with-qt-dir=%{qt3dir} \
    --with-qt-libraries=%{qt3lib} \
    --enable-libsuffix=`echo %_lib | sed '/lib//'`
%endif
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/opensync/plugins/*
%{_datadir}/opensync/defaults/*


%changelog
* Sun Apr 05 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1:0.22-4mdv2009.1
+ Revision: 364076
- utilize %%configure_kde3
- again....
- Add kde4 patch (try again)
- kde4 off for now
- Add kde4 patch (try again)
- Add kde4 patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sat Mar 15 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.22-2mdv2008.1
+ Revision: 188041
- revert to 0.22 (based on latest 0.22 spec in SVN)

* Mon Jan 28 2008 Funda Wang <fundawang@mandriva.org> 0.36-1mdv2008.1
+ Revision: 158981
- update to new version 0.36

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 0.35-1mdv2008.1
+ Revision: 137671
- New version 0.35

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.34-1mdv2008.1
+ Revision: 105843
- New version 0.34

* Sat Oct 20 2007 Funda Wang <fundawang@mandriva.org> 0.33-1.2596mdv2008.1
+ Revision: 100638
- use autoreconf
- Use svn branch
- fix filelist and qtdirs
- New version 0.33

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2008.0
+ Revision: 78817
- new version


* Fri Dec 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdv2007.0
+ Revision: 89895
- 0.20

  + Buchan Milne <bgmilne@mandriva.org>
    - Import libopensync-plugin-kdepim

* Mon Dec 05 2005 Austin Acton <austin@mandriva.org> 0.18-3mdk
- mkrel
- obsoletes multisync-kdepim
- fix rpath

* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 0.18-2mdk
- lib64 fix

* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 0.18-1mdk
- initial package

